Subject: Re: [IPP] [Technical Errata Reported] RFC8011 (6085)

From: Ira McDonald via ipp <[email-masked]>
Date: Mon, 18 May 2020 11:33:47 -0400

Hi Mike,

I think we still have an open action to send a consensus errata text to the
RFC Editor?

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Co-Chair - TCG Metadata Access Protocol SG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
(permanent) PO Box 221  Grand Marais, MI 49839  906-494-2434

On Fri, Apr 24, 2020 at 9:21 AM Ira McDonald <[email-masked]>
wrote:

> Hi,
>
> And of course "lowercase" (one word) and not "lower case"
>
> Cheers,
> - Ira
>
> Ira McDonald (Musician / Software Architect)
> Co-Chair - TCG Trusted Mobility Solutions WG
> Co-Chair - TCG Metadata Access Protocol SG
> Chair - Linux Foundation Open Printing WG
> Secretary - IEEE-ISTO Printer Working Group
> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music / High North Inc
> http://sites.google.com/site/blueroofmusic
> http://sites.google.com/site/highnorthinc
> mailto: [email-masked]
> (permanent) PO Box 221  Grand Marais, MI 49839  906-494-2434
>
>
> On Fri, Apr 24, 2020 at 6:54 AM Michael Sweet via ipp <[email-masked]> wrote:
>
>> Bill,
>>
>> Yes, of course.  I guess I should proofread my minutes better... :)
>>
>>
>> > On Apr 24, 2020, at 12:10 AM, [email-masked] wrote:
>> >
>> > I suggest that “…The first character SHOULD be a lower letter…” read
>> “The first character SHOULD be a lower case letter”
>> > Thanks.,
>> > Bill W.
>> >
>> > From: Michael Sweet via ipp
>> > Sent: Thursday, April 23, 2020 7:39 PM
>> > To: Michael Sweet
>> > Cc: PWG IPP Workgroup
>> > Subject: Re: [IPP] [Technical Errata Reported] RFC8011 (6085)
>> >
>> > Follow-up from today's IPP WG conference call - the consensus is to
>> change section 5.1.4 to read:
>> >
>> > The 'keyword' attribute syntax is a sequence of characters, of length 1
>> to 255, containing only the US-ASCII [RFC20] encoded values for uppercase
>> letters ("A"-"Z"), lowercase letters ("a"-"z"), digits ("0"-"9"), hyphen
>> ("-"), dot ("."), and underscore ("_"). The first character SHOULD be a
>> lower letter, and all letters SHOULD be lowercase.
>> >
>> > Status should change to "confirmed", and we (at some point) will want
>> to do an update (sigh).
>> >
>> >
>> >
>> > On Apr 10, 2020, at 8:31 PM, Michael Sweet via ipp <[email-masked]> wrote:
>> >
>> > Ira,
>> >
>> > Looks like my attempts to get my contact email changed haven't
>> completely been successful, either... :/  Comments below...
>> >
>> >
>> >
>> > On Apr 10, 2020, at 2:07 PM, Ira McDonald <[email-masked]>
>> wrote:
>> >
>> > Hi Mike,
>> >
>> > We need to look into this errata on RFC 8011.
>> > ...
>> > --------------------------------------
>> > Type: Technical
>> > Reported by: Thomas Urban <[email-masked]>
>> >
>> > Section: 5.1.4
>> >
>> > Original Text
>> > -------------
>> > The 'keyword' attribute syntax is a sequence of characters, of length
>> > 1 to 255, containing only the US-ASCII [RFC20] encoded values for
>> > lowercase letters ("a"-"z"), digits ("0"-"9"), hyphen ("-"), dot
>> > ("."), and underscore ("_").  The first character MUST be a lowercase
>> > letter.
>> >
>> > Corrected Text
>> > --------------
>> > The 'keyword' attribute syntax is a sequence of characters, of length
>> > 1 to 255, containing only the US-ASCII [RFC20] encoded values for
>> > uppercase letters ("A"-"Z"), lowercase letters ("a"-"z"), digits
>> > ("0"-"9"), hyphen ("-"), dot ("."), and underscore ("_").
>> >
>> > I think we need to be careful about changing this, but AFAIK this
>> change shouldn't cause a problem (CUPS will accept this, at least...)
>> >
>> >
>> > Notes
>> > -----
>> > First, the "keyword" syntax is applicable to values of enumerations
>> according to section 5.1.5 stating
>> >
>> >   Each value has an associated 'keyword' name.
>> >
>> > However, section 5.4.15 is declaring some enum-type attribute with
>> names per integer value using uppercase letters in violation of 5.1.4.
>> Those names are commonly used all over the specification and thus it is
>> rather common to assume those values are meant to be keyword-compliant
>> names of given enumeration.
>> >
>> > First, these are operation names, and second the keyword associated
>> with an enum is informative and not transmitted over the wire...
>> >
>> >
>> > Second, section 5.1.4 is stating
>> >
>> >    The first character MUST be a lowercase letter.
>> >
>> > referring to "a"-"z" according to enumeration of accepted characters
>> given right before that. In opposition to that statement 5.4.14 is declaring
>> >
>> >    The following standard 'keyword' values are defined in this document:
>> >
>> >    * '1.0' [..]
>> >    * '1.1' [..]
>> >
>> > Neither of the two "keywords" start with a lowercase letter.
>> >
>> > True.
>> >
>> > ________________________
>> > Michael Sweet
>> >
>> >
>> >
>> > _______________________________________________
>> > ipp mailing list
>> > [email-masked]
>> > https://www.pwg.org/mailman/listinfo/ipp
>> >
>> >
>> > ________________________
>> > Michael Sweet
>> >
>>
>> ________________________
>> Michael Sweet
>>
>>
>>
>> _______________________________________________
>> ipp mailing list
>> [email-masked]
>> https://www.pwg.org/mailman/listinfo/ipp
>>
>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Mon, 18 May 2020 12:07:28 -0400

Ira,

Yes, the consensus (with corrections) is to use the following text:

The 'keyword' attribute syntax is a sequence of characters, of length 1 to 255, containing only the US-ASCII [RFC20] encoded values for uppercase letters ("A"-"Z"), lowercase letters ("a"-"z"), digits ("0"-"9"), hyphen ("-"), dot ("."), and underscore ("_"). The first character SHOULD be a lowercase letter, and all letters SHOULD be lowercase.

> On May 18, 2020, at 11:33 AM, Ira McDonald <[email-masked]> wrote:
> 
> Hi Mike,
> 
> I think we still have an open action to send a consensus errata text to the RFC Editor?
> 
> Cheers,
> - Ira
> 
> On Fri, Apr 24, 2020 at 9:21 AM Ira McDonald <[email-masked]> wrote:
> Hi,
> 
> > I suggest that “…The first character SHOULD be a lower letter…” read “The first character SHOULD be a lower case letter” 
> > Thanks., 
> > Bill W.
> >  
> > Follow-up from today's IPP WG conference call - the consensus is to change section 5.1.4 to read:
> >  
> > The 'keyword' attribute syntax is a sequence of characters, of length 1 to 255, containing only the US-ASCII [RFC20] encoded values for uppercase letters ("A"-"Z"), lowercase letters ("a"-"z"), digits ("0"-"9"), hyphen ("-"), dot ("."), and underscore ("_"). The first character SHOULD be a lower letter, and all letters SHOULD be lowercase.
> >  
> > Status should change to "confirmed", and we (at some point) will want to do an update (sigh).
> >  
> > 
> > 
> > Looks like my attempts to get my contact email changed haven't completely been successful, either... :/  Comments below...
> > 
> > 
> > 
> > On Apr 10, 2020, at 2:07 PM, Ira McDonald <[email-masked]> wrote:
> > 
> > Hi Mike,
> > 
> > I think we need to be careful about changing this, but AFAIK this change shouldn't cause a problem (CUPS will accept this, at least...)
> > 
> > 
> > Notes
> > -----
> > First, the "keyword" syntax is applicable to values of enumerations according to section 5.1.5 stating
> > 
> > However, section 5.4.15 is declaring some enum-type attribute with names per integer value using uppercase letters in violation of 5.1.4. Those names are commonly used all over the specification and thus it is rather common to assume those values are meant to be keyword-compliant names of given enumeration.
> > 
> > First, these are operation names, and second the keyword associated with an enum is informative and not transmitted over the wire...
> > 
> > 
> > referring to "a"-"z" according to enumeration of accepted characters given right before that. In opposition to that statement 5.4.14 is declaring
> > 

________________________
Michael Sweet